## mozjs 1.8.5-1.0.0

=== debian/changelog ===
mozjs (1.8.5-1.0.0-0ubuntu6) precise; urgency=low

  * Add debian/patches/no-neon-or-softfp-on-arm:
    - Remove the configure test that was unconditionally enabling
      NEON extensions, as well as setting -mfloat-abi=softfp
  * Allow use of thumb2 on armel and armhf, as it's our default.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 01 Dec 2011 06:42:48 -0700

mozjs (1.8.5-1.0.0-0ubuntu5) natty; urgency=low

  * libmozjs185-dev nees to depend on libnspr4-dev, as it's required by
    the pkg-config file. couchdb *will* build now :)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Apr 2011 17:08:29 +0100

mozjs (1.8.5-1.0.0-0ubuntu4) natty; urgency=low

  * Drop the broken js-config script. Only couchdb was using it before,
    but it has been converted to use pkg-config instead now (fixes LP: #758895)
    - update debian/libmozjs185-dev.install

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Apr 2011 13:29:42 +0100

mozjs (1.8.5-1.0.0-0ubuntu3) natty; urgency=low

  * Install pkg-config file
    - update debian/libmozjs185-dev.install
  * Remove debian revision from version numbers in symbols files

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 11 Apr 2011 01:32:38 +0100

mozjs (1.8.5-1.0.0-0ubuntu2) natty; urgency=low

  * Update symbols files after we turned on threadsafe and ctypes
    - update debian/libmozjs185-1.0.symbols.amd64
    - update debian/libmozjs185-1.0.symbols.i386
    - update debian/libmozjs185-1.0.symbols.powerpc
    - update debian/libmozjs185-1.0.symbols.armel

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 09 Apr 2011 00:28:23 +0100

mozjs (1.8.5-1.0.0-0ubuntu1) natty; urgency=low

  * Update to stable release version
  * Drop patches
    - remove debian/patches/js-config-fix.patch
    - remove debian/patches/soname-fix.patch
    - update debian/patches/series
  * Build with --enable-ctypes --enable-threadsafe
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 01 Apr 2011 22:31:11 +0100

mozjs (1.8.5~hg20110306r6-0ubuntu2) natty; urgency=low

  * Fix up copyright file
  * Add arch-specific symbol files to cope with the name mangling not being
    the same across all of them
    - add debian/libmozjs185-1.0.symbols.amd64
    - add debian/libmozjs185-1.0.symbols.i386
    - add debian/libmozjs185-1.0.symbols.powerpc
    - add debian/libmozjs185-1.0.symbols.armel
    - remove debian/libmozjs185-1.0.symbols

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 24 Mar 2011 12:43:46 +0000

mozjs (1.8.5~hg20110306r6-0ubuntu1) natty; urgency=low

  * Initial release (Closes LP: #740815)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 24 Mar 2011 09:38:43 +0000
