=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring $(DEB_HOST_ARCH),armel armhf))
  thumb2 := true
endif

%:
	dh $@ --sourcedirectory=$(CURDIR)/js/src

override_dh_auto_configure:
	dh_auto_configure --	\
		--with-system-nspr \
		--disable-tests \
		--disable-strip \
		--enable-ctypes \
		--enable-threadsafe \
		$(if $(thumb2),--enable-thumb2)

override_dh_auto_test:
