## mozjs 1.8.5-1.0.0%2Bdfsg

=== debian/changelog ===
mozjs (1.8.5-1.0.0+dfsg-4ubuntu1) saucy; urgency=low

  * Update symbols file for arm64.
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Oct 2013 13:43:32 +0100

mozjs (1.8.5-1.0.0+dfsg-4) unstable; urgency=low

  [ Stephan Schreiber ]
  * Fix MapPages() to work on ia64
    - add debian/patches/fix-map-pages-on-ia64.patch
    - update debian/patches/series
  * Disable JS static strings on ia64
    - add debian/patches/disable-static-strings-on-ia64.patch
    - update debian/patches/series
  * Closes: #659186

  [ gregor herrmann ]
  * Fix "libmozjs185-dev depends on libffi-dev": add libffi-dev to Depends in
    libmozjs185-dev binary package. Thanks Nicolas Boulenguez.
    (Closes: #678859)

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Thu, 25 Oct 2012 20:10:45 +0100

mozjs (1.8.5-1.0.0+dfsg-3) unstable; urgency=low

  * Drop a couple of symbols that were exposed from the internal libffi
    on powerpc (Closes: #657247)
    - update debian/libmozjs185-1.0.symbols

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Tue, 24 Jan 2012 23:05:41 +0000

mozjs (1.8.5-1.0.0+dfsg-2) unstable; urgency=low

  [ Michael Biebl ]
  * Fix various issues in the package. Thanks a lot Mike Hommey for the
    patches and the help tracking down those build failures. (Closes: #656722)
  * Fix build failures on arm and disable thumb2 support for Debian builds
    (but keep it enabled for Ubuntu builds).
    - Add Bug-626035-Modify-the-way-arm-compiler-flags-are-set.patch.
    - Remove no-neon-or-softfp-on-arm patch.
    - Force-NativeARM.o-to-have-arch-armv4t-in-its-.ARM.at.patch.
    - Disable methodjit support on armel for Debian builds.
  * Fix "The cacheFlush support is missing on this platform" build failure on
    mips, ia64 and s390.
    - Add Bug-638056-Avoid-The-cacheFlush-support-is-missing-o.patch
  * Build against the system libffi library.
    - Add Allow-to-build-against-system-libffi.patch.
    - Add Build-Depends on libffi-dev and pkg-config.
    - Pass --enable-system-ffi to ./configure.
  * Fix build failure on 64bit big endian architecture (s390).
    - Add 64bit-big-endian.patch.
  * Fix broken library symlinks on "make install" when using DESTDIR instead
    of creating those symlinks manually.
    - Add destdir.patch.
    - Remove debian/libmozjs185-{1.0,dev}.links.
    - Update debian/libmozjs185-{1.0,dev}.install.
  * Enable test-suite but don't abort on failures.
  * Since dh_auto_configure does not properly handle configure scripts
    generated by autoconf2.13, call ./configure with the correct flags
    ourselves.
  * Update symbols file (using pkgkde-symbolshelper).

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Tue, 24 Jan 2012 21:38:44 +0000

mozjs (1.8.5-1.0.0+dfsg-1) unstable; urgency=low

  [ Chris Coulson ]
  * Use pkgkde-symbolshelper for creating the symbol file. Thanks to
    Michael Biebl!
    - update debian/control
    - update debian/rules
    - update debian/libmozjs185-1.0.symbols
  * Drop the libmozjs-dev Provides. This never really helped at all, as it
    isn't a drop in replacement for the Debian libmozjs-dev
    - update debian/control
  * Fix various lintian warnings for debian/copyright
    - update debian/copyright
    - add debian/MPL
    - add debian/docs
  * Bump Standards-Version to 3.9.2
  * Add build-depend on python
    - update debian/control
  * Add a list of files removed from the tarball to debian/README.source

  [ Jordi Mallach ]
  * Update debian/copyright with various missing bits, as pointed out by
    Debian ftp-master.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Thu, 19 Jan 2012 20:30:27 +0000

mozjs (1.8.5-1.0.0-0ubuntu8) precise; urgency=low

  * Update symbols file for armhf

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Jan 2012 20:08:07 +0000

mozjs (1.8.5-1.0.0-0ubuntu7) precise; urgency=low

  * Use a single symbol file by using c++ and arch tags
    - remove debian/libmozjs185-1.0.symbols.{i386,amd64,armel,powerpc}
    - add debian/libmozjs185-1.0.symbols
  * Add Vcs-Bzr URL

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Jan 2012 18:53:39 +0000
