## mozjs 1.8.5-1.0.0+dfsg

=== debian/changelog ===
mozjs (1.8.5-1.0.0+dfsg-7) unstable; urgency=medium

  * QA upload.

  [ Tobias Frost ]
  * Add debian/watch from the PTS
  * Fix VCS-Browser to point to right project.

  [ Thorsten Glaser ]
  * Refresh all patches with quilt.
  * Fix FTBFS on x32:
    - Disable nanojit and YARR JIT
    - Use 32-bit CAS
    - Update debian/libmozjs185-1.0.symbols

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 01 Mar 2017 16:37:11 +0100

mozjs (1.8.5-1.0.0+dfsg-6) unstable; urgency=medium

  * QA upload
  * Remove Modify_tagged_pointer_structure_js1.8.5.patch, which causes an
    ABI change and would therefore require a soname bump (Closes: #847747)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 12 Dec 2016 06:01:03 +0000

mozjs (1.8.5-1.0.0+dfsg-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debian/libmozjs185-1.0.symbols for m68k.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 09 Dec 2016 12:50:35 +0100

mozjs (1.8.5-1.0.0+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Modify_tagged_pointer_structure_js1.8.5.patch to modify tagged
    pointer to use 48 bit virtual address space (Closes: #839048).
  * Add M68k-alignment-fixes.patch to enforce 32-bit alignment
    on m68k for some StackSegment, JSStackFrame and JSScript.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 09 Dec 2016 02:53:56 +0100

mozjs (1.8.5-1.0.0+dfsg-5) unstable; urgency=medium

  * QA upload.
  * Set Maitnainer to the QA Group.
  * Fix FTBFS with GCC 6, see new patch fix-811655.patch (Closes: #811665)
  * Move the packaging repository to collab-maint.
  * Update homepage
  * Fix capitalization of JavaScript and SpiderMonkey in short description
    (Closes: #762246)
  * Remove some files via debian/clean to allow build twice in a row

 -- Tobias Frost <tobi@debian.org>  Sun, 25 Sep 2016 14:38:22 +0200

mozjs (1.8.5-1.0.0+dfsg-4.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix typo in debian/libmozjs185-1.0.symbols ('s390' -> 's390x').

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 08 Nov 2015 21:34:32 +0100

mozjs (1.8.5-1.0.0+dfsg-4.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add disable-nanojit-on-sparc64.patch to disable nanojit on sparc64
    where it is currently unsupported and needs to be ported first.
  * Update debian/libmozjs185-1.0.symbols for alpha, powerpcspe, ppc64
    sh4 and sparc64 (Closes: #669944).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 08 Nov 2015 19:30:45 +0100

mozjs (1.8.5-1.0.0+dfsg-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add to / Update symbols file:
    + ppc64el (thanks Fernando Seiti Furusato) (Closes: #752415)
    + alpha (Closes: #657425)
    + hppa (Closes: #734549)
    + mips64 / mips64el (Closes: #724799)
    + powerpcspe (Closes: #693644)
  * respect DEB_BUILD_OPTIONS nocheck (Closes: #682771)

 -- Andreas Barth <aba@ayous.org>  Fri, 12 Sep 2014 22:23:47 +0000

mozjs (1.8.5-1.0.0+dfsg-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debian/patches/64bit-big-endian.patch, backported from newer
    versions, to correctly support 64-bit big endian platforms.
    Thanks to Aurelien Jarno for the fix (Closes: #755176).

 -- Margarita Manterola <marga@debian.org>  Sat, 23 Aug 2014 13:50:01 -0700

mozjs (1.8.5-1.0.0+dfsg-4.1) unstable; urgency=low

  [ Colin Watson ]
  * Non-maintainer upload.
  * Updated symbols file and use autotools-dev to update config.{sub,guess}
    (Closes: #726402)

 -- Wookey <wookey@debian.org>  Wed, 02 Apr 2014 18:01:37 +0000
