=== debian/control ===
Source: mozjs
Section: libs
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~), libffi-dev, libnspr4-dev (>= 4.7.0), zip, pkg-kde-tools, python, pkg-config, autotools-dev
Standards-Version: 3.9.2
Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey
Vcs-Git: https://anonscm.debian.org/git/collab-maint/mozjs.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mozjs.git/

Package: libmozjs185-1.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SpiderMonkey JavaScript engine
 SpiderMonkey is the code-name for the Mozilla's C implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.

Package: libmozjs185-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libmozjs185-1.0 (= ${binary:Version}), libnspr4-dev, libffi-dev
Description: SpiderMonkey JavaScript library - development headers
 SpiderMonkey is the code-name for the Mozilla's C implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the header files and static library which is
 needed for developing SpiderMonkey embedders.
