=== debian/watch ===
version=3
opts=uversionmangle=s/\.(rc\d*)$/~$1/,dversionmangle=s/\+dfsg\d*$// \
http://www.mozilla.org/js/spidermonkey/ \
(?:|.*/)mozjs(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
